; INI file for KmInstaller
;--------------------------------------------
; [Version] Section - Default
;	ProductName - Use as DB in registry
;--------------------------------------------
[Version]
Signature  = "$Windows NT$"
ProductName = "Kyocera Product Library"
Manufacturer = %KMC%
Version = "Version 3.2.0021"

[Setup]
CompanyName = "Kyocera"
WizardBitmap = .\Setup\WizardBitmap.bmp
LogoBitmap = .\Setup\KxLogo.png
TestPageLogoBitmap = .\Setup\TestPageLogo.bmp
;ProductLogoBitmap = .\Setup\ProductLogo.png
;; To get the short MODEL name, KmInstaller will remove the below strings from device name
; and remove all the spaces from front and rear part of the string.
; Ex) "Kyocera Mita FS-1010 (J) KX" -> " FS-1010 (J) " -> "FS-1010 (J)"
OemStrings = Kyocera,Mita,KX,GX,(KPDL),(XPS),XPS,NW-FAX,WIA Driver,(Uni)
MainTarget = "<ProgramFiles>\Kyocera"
MainLink = "<StartMenu>\Kyocera"

[Options]
; Selection Page = EXPRESS, CUSTOM
InstallType = CUSTOM
; Available Connections - USB, LPT, NET, TCPIP, IPP,PRNQ,MSQ,NWQ,EMAIL,KPRINT, KMPRINT
ConnectionTypes = USB,NET,KMPRINT
;Additional Driver Support. default is 1 - Addtional Driver Support.
AdditionalDriver = 0
;Discover devices - USB,SNMP
DiscoverDevices = USB,SNMP
;When discover USB devices, discover USBPRINTER instead of USB device
DiscoverUsbPrinter = 1
DiscoverNetPortType = KMPRINT
; KACT AutoConfig
AutoConfig = 0,"InstallPath"
ShowUtilAndDriverSelection = 0
ShowDeviceFilter = 0
UpgradePage = 1
UninstallWelcomeTitle = "Kyocera Uninstaller"
SnmpHostnameOID = ".1.3.6.1.4.1.1347.40.10.1.1.5.1",".1.3.6.1.4.1.1536.1.3.5.4.2.0"
StatusMonitor = 1
QuickPrintTab = 1
ProductTitle = "Installer"
WiaIpSameAsPrinterIp = 1
FaxIpSameAsPrinterIp = 1
UseHostnameAsPortname = 0

[Options.NT6]
; Selection Page = EXPRESS, CUSTOM
InstallType = CUSTOM
; Available Connections - USB, LPT, NET, TCPIP, IPP,PRNQ,MSQ,NWQ,EMAIL,KPRINT, KMPRINT
ConnectionTypes = USB,NET,KMPRINT
;Additional Driver Support. default is 1 - Addtional Driver Support.
AdditionalDriver = 0
;Discover devices - USB,SNMP
DiscoverDevices = USB,SNMP
;When discover USB devices, discover USBPRINTER instead of USB device
DiscoverUsbPrinter = 1
DiscoverNetPortType = KMPRINT
; KACT AutoConfig
AutoConfig = 0,"InstallPath2"
ShowUtilAndDriverSelection = 0
ShowDeviceFilter = 0
UpgradePage = 1
UninstallWelcomeTitle = "Kyocera Uninstaller"
SnmpHostnameOID = ".1.3.6.1.4.1.1347.40.10.1.1.5.1",".1.3.6.1.4.1.1536.1.3.5.4.2.0"
QuickPrintTab = 1
StatusMonitor = 1
WiaEnableName = 0
WiaIpSameAsPrinterIp = 1
FaxIpSameAsPrinterIp = 1
UseHostnameAsPortname = 0
;// PORT = USB,LPT,COM,FILE,TCPIP,KPRINT,KMPRINT

[StatusMonitor]
TASKalfa 180 = "",KMPRINT,USB
TASKalfa 220 = "",KMPRINT,USB
CS 180 = "",KMPRINT,USB
CS 220 = "",KMPRINT,USB

[PortMonitor]
;KPRINT = "KPrint Port","PrnDrv\KXDriver\KPrint Monitor\monitor.in2","PrnDrv\KXDriver\KPrint Monitor\monitor.in2","PrnDrv\KXDriver\KPrint Monitor\monitor.in2"
KMPRINT = "KMPrint Port"
; ================================================================================================================
; Device Section
; ================================================================================================================

[DeviceNames]
;DeviceName = ModelKeyName,ModelSection(GroupKey),UsbVidPid,HWID,SnmpId
;ex) Kyocera Mita FS-1010 = FS-1010
;KX Domestic models
Kyocera TASKalfa 180	 = TASKalfa 180,ALL,VID_0482&PID_03af,KyoceraTASKalfa_180E31D,TASKalfa 180
Kyocera TASKalfa 220	 = TASKalfa 220,ALL,VID_0482&PID_03ae,KyoceraTASKalfa_22041EB,TASKalfa 220
Kyocera CS 180		 = CS 180,ALL,VID_0482&PID_03c2,KyoceraCS_180C126,CS 180
Kyocera CS 220		 = CS 220,ALL,VID_0482&PID_03c1,KyoceraCS_22061D0,CS 220

[PlugAndPlay]

[OID]
;%OID_HOST_NAME% = ".1.3.6.1.4.1.1347.40.10.1.1.5.1",".1.3.6.1.4.1.1536.1.3.5.4.2.0"
%OID_MODEL_NAME% = ".1.3.6.1.4.1.1347.43.5.1.1.1.1"
;%OID_DESC% = ".1.3.6.1.2.1.1.1.0"
%OID_CONTACT% = ".1.3.6.1.2.1.1.4.0"
%OID_LOCATION% = ".1.3.6.1.2.1.1.6.0"
%OID_SERIAL_NUMBER% = ".1.3.6.1.4.1.1347.43.5.1.1.28.1"

[PackageInfo]
Packages = KX,KMINST32,KMPRINT,POSTINST

[ALL]
Express = KX,KMINST32,KMPRINT,POSTINST
Packages = KX,KMINST32,KMPRINT,POSTINST
; ================================================================================================================
; Package Section
; ================================================================================================================
; Package Options
;  &SECTION = select this package when SECTION package is selected.
;  ~SECTION = unselect this package when SECTION package is selected.
;  +SECTION = select this package when SECTION package is unselected.
;  -SECTION = unselect this package when SECTION package is unselected.
;  &OS = select this package when OS is matched. (OS = 95, 98, ME, NT, 2K, XP, 2KUP, XPUP, ALLNT)
;  ~OS = unselect this package when OS is matched. (OS = 95, 98, ME, NT, 2K, XP, 2KUP, XPUP, ALLNT)
;  &PORT = select this package when connection type is matched (PORT = LPT, USB, NET, TCPIP, IPP, PRNQ, EMAIL)
;  ~PORT = unselect this package when connection type is matched (PORT = LPT, USB, NET, TCPIP, IPP, PRNQ, EMAIL)
;  &STATUS = select this package when this status type is matched. (STATUS = NO_EXISTS, INSTALLED, UPGRADABLE)
;  ~STATUS = unselect this package when this status type is matched. (STATUS = NO_EXISTS, INSTALLED, UPGRADABLE)
;  ! = Absolute(enable/disable the item), user can not change the selection status. ex) !&USB : Selected and user can not change the setting when the connection is USB.
;  # = Hide this package

[Packages]
;  Key = type,category,package-name,package-description,[options]
;  type = KXDRV,TWNDRV,FAXDRV,PCLDRV,KPDLDRV,APP,PREINST,POSTINST,KMINST32,CUSTOM
;  Category = DRIVER,UTILITY
;    -> Install Procedure would be in the order of PREINST->DRVs->APPs->POSTINST->KMINST32
;    Here KMINST32 is the uninstall utility only.
KX = KXDRV,%KXDRV%,%KXDRV_DESC%
KXPS = KXPSDRV,%KXPSDRV%,%KXPSDRV_DESC%
PCL = PCLDRV,%PCLDRV%,%PCLDRV_DESC%
KPDL = KPDLDRV,%KPDLDRV%,%KPDLDRV_DESC%
KMNETVIEWER = APP,%KMNETVIEWER%,%KMNETVIEWER_DESC%
KMNETDIRECT = APP,%KMNETDIRECT%,%KMNETDIRECT_DESC%
TTFONTS = APP,%TTFONTS%,"%TTFONTS_DESC%"
SNMPCO = APP,"SNMP","SNMP Module"
FAXSNMPCO = APP,"FAX SNMP"," FAX SNMP Module"
TWAIN = APP,%TWAIN%,%TWAIN_DESC%
ABF = APP,%ABF%,%ABF_DESC%
AEF = APP,%AEF%,%AEF_DESC%
FAX = FAXDRV,%FAX%,%FAX_DESC%
KMINST32 = KMINST32,%CD_NAME%,""
KPRINT = PREINST,%KPRINT%,%KPRINT_DESC%
KMPRINT = PREINST,"KMprint",%KMPRINT_DESC%
; Mainly for vista tabs
POSTINST = POSTINST,%POSTINST%,%POSTINST_DESC%

[PackageGroups]
%PG_DRIVER_STR%  = KX,POSTINST
%PG_UTILITY_STR% = KMPRINT

[Category]
Driver = KX,POSTINST
Utility = KMINST32,KMPRINT,POSTINST

[KX]
DataFile = PrnDrv\GXDriver\KX.pnf
INF3 = PrnDrv\GXDriver\32bit\2000 and newer\Oemsetup.inf
TargetFolder = "GX"
;List all supported connection, blank = no preference (LPT,USB,NET,TCPIP,IPP,PRNQ,EMAIL,KPRINT,KMPRINT)
Connection = LPT,USB,NET
;List all supported OSs, blank = no preference (95,98,ME,NT,2K,XP32,XP64,VISTA32,VISTA64)
OS = 
;NO_EXISTS, INSTALLED, UPGRADABLE
Status = 
;  @ = enable checkbox
;  ! = disable checkbox
;  & = check this package
;  ~ = uncheck this package
OnCheck = !~PCL,!~KPDL,&POSTINST
OnUncheck = @~PCL,@~KPDL,~POSTINST
OnFailed = STOPALL

[KX.x64]
DataFile = PrnDrv\GXDriver\KX.pnf
INF3 = PrnDrv\GXDriver\64bit\XP and newer\Oemsetup.inf
TargetFolder = "GX"
;List all supported connection, blank = no preference (LPT,USB,NET,TCPIP,IPP,PRNQ,EMAIL,KPRINT,KMPRINT)
Connection = LPT,USB,NET
;List all supported OSs, blank = no preference (95,98,ME,NT,2K,XP32,XP64,VISTA32,VISTA64)
OS = 
;NO_EXISTS, INSTALLED, UPGRADABLE
Status = 
;  @ = enable checkbox
;  ! = disable checkbox
;  & = check this package
;  ~ = uncheck this package
OnCheck = !~PCL,!~KPDL,&POSTINST
OnUncheck = @~PCL,@~KPDL,~POSTINST
OnFailed = STOPALL

[TTFONTS]
DataFile = Utility\TTFONTS\TTFonts.pnf
Connection = 
OS = 
Status = 

[KMNETVIEWER]
DataFile = Network\KM-NET VIEWER\KmNetViewer.pnf
Connection = NET
OS = 
Status = 

[KMPRINT]
DataFile = Utility\Kmprint\kmprint.pnf
Connection = !&NET
OS = 
Status = 

[KMINST32]
DataFile = KmInst32.pnf
Init = HIDE,SELECTED
; Strings
;================================================================================================================

[StringTable]
LoadString = KmInstall.str

[POSTINST]
DataFile = Utility\PostInst\PostInst.pnf
Connection = 
OS = 
Status = 
Init = HIDE,SELECTED

[POSTINST.x64]
DataFile = Utility\PostInst64\PostInst64.pnf
Connection = 
OS = 
Status = 
Init = HIDE,SELECTED

